
Redmine - Defect #2122

URL in send_reminders email for 'View all issues' is incorrect.

2008-11-01 17:50 - Robert Chady

Status: Closed Start date: 2008-11-01

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version: 0.8   

Resolution: Fixed Affected version: 0.7.3

Description

In the emails send_reminder sends out, the URL inserted for the 'View all issues' link is not correct if you have the project installed in

a sub-directory.  All other URLs that get sent out are correct, just not this one.  This is based on r1646 so it is a ways behind trunk,

but it looks to do the same thing in HEAD too.

Associated revisions

Revision 1989 - 2008-11-07 16:37 - Jean-Philippe Lang

Host setting should contain the path prefix (Redmine base URL) to properly generate links in emails that are sent offline (#2122).

Revision 1992 - 2008-11-08 14:25 - Jean-Philippe Lang

Do not use :skip_relative_url_root to generate urls in Mailer (#2122).

History

#1 - 2008-11-06 19:40 - Robert Chady

Related to this issue, I also found that emails generated from SVN commits also has the incorrect URL, namely it is missing the sub-directory in the

URL: /issues/show/### instead of /redmine/issues/show/###.

On a hunch I tried to update the 'host' setting in settings to include the /redmine so url_for() will build the correct URl.  Unfortunately, this results in

normal email notices of activity going out with /redmine/redmine/issues/show/### in the URL.

So, why are URLs getting built one way for SVN commits and send_reminders, but another way for normal activity emails?

#2 - 2008-11-07 16:39 - Jean-Philippe Lang

- Category set to Email notifications

- Status changed from New to Resolved

- Target version set to 0.8

- Affected version (unused) set to 0.7.3

- Resolution set to Fixed

- Affected version set to 0.7.3

This should be fixed in r1989. Add /redmine to your host setting, it should no longer be added twice to the url when sending emails from the web app.

Feedback is welcome.

#3 - 2008-11-08 02:02 - Eric Davis

- Status changed from Resolved to 7

- Resolution deleted (Fixed)

r1989 caused a test failure because :skip_relative_url_root  is added to the url, "https://mydomain.foo/issues/show/1?skip_relative_url_root=true".  Is

the :skip_relative_url_root option available in mailer views?

#4 - 2008-11-08 14:26 - Jean-Philippe Lang

- Status changed from 7 to Closed

- Resolution set to Fixed

2025-05-17 1/2

https://www.redmine.org/projects/redmine/repository/svn/revisions/1646
https://www.redmine.org/projects/redmine/repository/svn/revisions/1989
https://www.redmine.org/projects/redmine/repository/svn/revisions/1989


Indeed. UrlRewriter#url_for doesn't work as I expected.

r1992 should fix it.
